Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLMetaElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  HTMLMetaElementImpl

public interface HTMLMetaElement
extends HTMLElement

This contains generic meta-information about the document. See the META element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getContent()` Associated information.
`java.lang.String` | `getHttpEquiv()` HTTP response header name.
`java.lang.String` | `getName()` Meta information name.
`java.lang.String` | `getScheme()` Select form of content.
`void` | `setContent(java.lang.String content)`
`void` | `setHttpEquiv(java.lang.String httpEquiv)`
`void` | `setName(java.lang.String name)`
`void` | `setScheme(java.lang.String scheme)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getContent

    public java.lang.String getContent()

  Associated information. See the content attribute definition in HTML 4.0.

### setContent

    public void setContent(java.lang.String content)

### getHttpEquiv

    public java.lang.String getHttpEquiv()

  HTTP response header name. See the http-equiv attribute definition in HTML 4.0.

### setHttpEquiv

    public void setHttpEquiv(java.lang.String httpEquiv)

### getName

    public java.lang.String getName()

  Meta information name. See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

### getScheme

    public java.lang.String getScheme()

  Select form of content. See the scheme attribute definition in HTML 4.0.

### setScheme

    public void setScheme(java.lang.String scheme)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD